
//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.69-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1306
// INTERFACE : I2C
// MCU 		 : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCL    PD6SCL
// SDA    PD7SDA


#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
 int main(void)
  {	u8 t;
		delay_init();	    	 	  
		OLED_Init();			
		OLED_Clear()  	; 

	while(1) 
	{		

	   OLED_ShowString(0,0,"0.69OLED",8);
		 OLED_ShowString(0,1,"12345678",8);

			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
	 	  OLED_Clear();

		 OLED_ShowString(0,0,"buydisplay",8);
  	 OLED_ShowString(0,1,"EastRising",8);
			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
	 	  OLED_Clear();

		
    OLED_ShowCHinese(0,0,0);//
		OLED_ShowCHinese(16,0,1);//
		OLED_ShowCHinese(32,0,2);//
		OLED_ShowCHinese(48,0,3);//			
		
			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
			OLED_Clear();
		OLED_DrawBMP(0,0,96,2,BMP1);
			delay_ms(1000);
			delay_ms(1000);
	  	delay_ms(1000);
			 OLED_Clear();

	}	  
	
}